function img = create_spectral_image(w_exp, d_exp, height)

    % load standard observer
    [w_ref, x_ref, y_ref, z_ref] = load_standard_observer();
    
    % create image
    width = length(w_exp);
    
    img = zeros(height, width, 3);
    
    for i=1:width
        
        % compute XYZ data
        X = proj(w_exp(i), 1, w_ref, x_ref);
        Y = proj(w_exp(i), 1, w_ref, y_ref);
        Z = proj(w_exp(i), 1, w_ref, z_ref);

        % compute chromaticity coordinates
        S = X + Y + Z;

        x = X / S;
        y = Y / S;

        % convert to sRGB
        RGB = xyY2rgb(x, y);
        
        % assign to image
        img(:,i,1) = d_exp(i) * RGB(1);
        img(:,i,2) = d_exp(i) * RGB(2);
        img(:,i,3) = d_exp(i) * RGB(3);
        
    end

end