function [w, d] = load_data(filename, fnorm)

    % open csv
    M = dlmread(filename, ',', 1, 0);
    
    % first column is wavelength (nm), second column is intensity
    w = M(:,1);
    d = M(:,2);
    
    % normalize spectrum
    if nargin > 1 && fnorm ~= 0
        d = (d - min(d)) / (max(d) - min(d));
    end

end