function rgb = spectrum2srgb(w_exp, d_exp)

    % load CIE standard observer
    [w_ref, x_ref, y_ref, z_ref] = load_standard_observer();
    
    % compute XYZ data
    X = proj(w_exp, d_exp, w_ref, x_ref);
    Y = proj(w_exp, d_exp, w_ref, y_ref);
    Z = proj(w_exp, d_exp, w_ref, z_ref);
    
    % compute chromaticity coordinates
    S = X + Y + Z;

    x = X / S;
    y = Y / S;
    
    % convert to sRGB
    rgb = xyY2rgb(x, y);
end