function RGB = xyY2rgb(x, y, Y)

    % clip to sRGB gamut
    xn = 0.3127;
    yn = 0.3290;
    
    xr = 0.64;
    yr = 0.33;
    
    xg = 0.30;
    yg = 0.60;
    
    xb = 0.15;
    yb = 0.06;
    
    tmp = gamut_clip([x, y], [xr, yr], [xg, yg], [xb, yb], [xn, yn]);
    
    x = tmp(1);
    y = tmp(2);
    
    % restore XYZ coordinates
    if nargin < 3
        Y = 1;
    end
    
    XYZ = [Y * x / y, Y, Y * (1 - x - y) / y];

    % convert to sRGB
    a = 0.055;
      
    M = [3.2404542 -1.5371385 -0.4985314;
        -0.9692660  1.8760108  0.0415560;
        0.0556434 -0.2040259  1.0572252];
        
    RGB = M * XYZ';
    
    if any(RGB > 1)
        RGB = RGB / max(RGB);
    end
    
    RGB(RGB > 1) = 1;
    RGB(RGB < 0) = 0;
    
%     WTF: I have no idea why I get better results by switching this off...
%     for i=1:3
%         if RGB(i) <= 0.0031308
%             RGB(i) =  12.92 * RGB(i);
%         else
%             RGB(i) = (1 + a) * power(RGB(i), 1.0/2.4) - a;
%         end
%     end

end